Holger's Java API

## com.antelmann.cddb
Enum Artist.Gender

    java.lang.Object
      java.lang.Enum<Artist.Gender>
          com.antelmann.cddb.Artist.Gender

All Implemented Interfaces:
  Serializable, Comparable<Artist.Gender>

Enclosing class:
  Artist

    public static enum Artist.Gender

extends Enum<Artist.Gender>

Enum Constant Summary
`FEMALE`
`MALE`
`UNKNOWN`

Method Summary
`static Artist.Gender` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Artist.Gender[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final Artist.Gender UNKNOWN

### MALE

    public static final Artist.Gender MALE

### FEMALE

    public static final Artist.Gender FEMALE

Method Detail

### values

    public static Artist.Gender[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Artist.Gender c : Artist.Gender.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Artist.Gender valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads